
QGIS Application - Bug report #7146

DB manager does not remove Spatialite indexes and entry in "spatialite_hystory" after deleting a 

table

2013-02-11 06:32 AM - Giovanni Manghi

Status: Open

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 16210

Description

The same issue seems to affect also the browser.

Add a ector to a SL datasource, and select to create also a spatial index.

Then remove the vector from the datasource, the tables idx_tablename_geom* are not removed, as it isn't the entry in the table

"spatialite_hystory", so it not possible to re-add another vector with the same name.

History

#1 - 2013-06-02 08:00 AM - Giovanni Manghi

- Priority changed from High to Normal

#2 - 2014-06-20 06:19 AM - Giovanni Manghi

- Target version set to Version 2.4

#3 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#4 - 2016-02-01 11:36 AM - Giuseppe Sucameli

- Assignee set to Giuseppe Sucameli

- Category changed from DB Manager to Data Provider/SpatiaLite

- Status changed from Open to In Progress

The issue affects the importer feature (dataprovider).

#5 - 2016-02-01 11:42 AM - Giuseppe Sucameli

- Category changed from Data Provider/SpatiaLite to DB Manager

Similar issues are in both DBManager and SL dataprovider (importer), but the reported one occurs removing a vector table in DBManager. I'll file a new

ticket for the importer (if not already there).

#6 - 2017-03-02 11:34 PM - R. R.

Here on Win7 creating a new table with a previously used table name works, but the features are not displayed properly on the canvas. In QspatiaLite it's
possible to delete unused indices as a workaorund.

See also: http://gis.stackexchange.com/questions/38955/why-is-this-spatialite-polygon-layer-not-displayed-properly

#7 - 2017-05-01 01:09 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#8 - 2018-02-25 11:27 PM - Giovanni Manghi

- Affected QGIS version changed from master to 3.0.0

- Description updated

- Status changed from In Progress to Open

- Assignee deleted (Giuseppe Sucameli)
